onst int LedPin = 4;       // the pin I'm feeding an indicator LED on the board to see if the circuit is working
const int TrinketLed = 13;  // this is the builtin LED on the Trinket MO board
int SwitchState;            // a variable to tell whether the switch is on or off (HIGH or LOW)


// the setup functipn runs once when you press reset or power the board


void setup() {
  // initialize the pins as input or output
  pinMode(SwitchPin, INPUT_PULLUP);
  pinMode(LedPin,OUTPUT);  
  pinMode(TrinketLed,OUTPUT); 
  Serial.begin(9600); // to help in debugging whether the circuit is reading the switch ok
}


// the loop function runs over and over again forever


void loop() {
  SwitchState = !digitalRead(SwitchPin);
 
 if (SwitchState == HIGH) {
  //turn led on
  digitalWrite (LedPin, HIGH);
  digitalWrite (TrinketLed, HIGH);
 } else {
      // turn the LED off by making the voltage LOW
  digitalWrite(LedPin, LOW); 
   digitalWrite(TrinketLed,LOW);   
}
 Serial.println(SwitchState);
 